%% 1. EL CENTRO earthquake
clc, clear, close all
g = 9.81;
elcentro =load ('elcentro.txt');
acc_g = elcentro(1:end-90)/(100*9.8);
dt = .02;
t = 0:dt:(length(acc_g)-1)*dt;
vel_g = cumsum(acc_g)*dt;  vel_g = vel_g - mean(vel_g);
des_g = cumsum(vel_g)*dt;  des_g = (des_g - mean(des_g));

vel_g = g * vel_g;
des_g = g * (-des_g(1) + des_g);

max_acc = find(acc_g == -max(abs(acc_g)));
max_vel = find(vel_g == -max(abs(vel_g)));
max_des = find(des_g == -max(abs(des_g)));

vel_ground = [t;vel_g'];
des_ground = [t;des_g'];

quake_elcent = [t;acc_g'];
save ElCentro_acc   quake_elcent
save ElCentro_vel   vel_ground
save ElCentro_des   des_ground

%% 2. KOBE earthquake
clc, clear, close all
g = 9.81;
load ('KobeAccelNoScaling.mat');
acc_g = KobeAccel(2,:)/g;
dt = .01;
t = 0:dt:(length(acc_g)-1)*dt;
vel_g = cumsum(acc_g)*dt;  vel_g = vel_g - mean(vel_g);
des_g = cumsum(vel_g)*dt;  des_g = (des_g - mean(des_g));

vel_g = g * vel_g;
des_g = g * (-des_g(1) + des_g);

max_acc = find(acc_g == -max(abs(acc_g)));
max_vel = find(vel_g == -max(abs(vel_g)));
max_des = find(des_g == -max(abs(des_g)));

vel_ground = [t;vel_g];
des_ground = [t;des_g];
acc_ground = [t;acc_g];

save Kobe_acc   acc_ground
save Kobe_vel   vel_ground
save Kobe_des   des_ground
%%  3. MORGAN earthquake
clc, clear, close all
g = 9.81;
load ('MorganAccelNoScaling.mat');
acc_g = MorganAccel(2,:)/g;
dt = .0050;
t = 0:dt:(length(acc_g)-1)*dt;
vel_g = cumsum(acc_g)*dt;  vel_g = vel_g - mean(vel_g);
des_g = cumsum(vel_g)*dt;  des_g = (des_g - mean(des_g));

vel_g = g * vel_g;
des_g = g * (-des_g(1) + des_g);

max_acc = find(acc_g == max(abs(acc_g)));
max_vel = find(vel_g == -max(abs(vel_g)));
max_des = find(des_g == max(abs(des_g)));

vel_ground = [t;vel_g];
des_ground = [t;des_g];
acc_ground = [t;acc_g];

save Morgan_acc   acc_ground
save Morgan_vel   vel_ground
save Morgan_des   des_ground


%% FIGURES
subplot(3,1,1)
plot(t,acc_g,'linewidth',2), grid on, hold on
plot(t(max_acc),acc_g(max_acc),'ro','linewidth',2)
text(t(max_acc)+1,acc_g(max_acc)-.1,strcat('_g_o = ', num2str(round(1000*acc_g(max_acc))/1000)),'fontweight','bold')
ylabel('_g (t), [g]','fontweight','bold'), title('EL CENTRO Ground Motion','fontweight','bold')

subplot(3,1,2)
plot(t,vel_g,'linewidth',2), grid on, hold on
plot(t(max_vel),vel_g(max_vel),'ro','linewidth',2)
text(t(max_vel)+1,vel_g(max_vel)-.1,strcat('u`_g_o = ', num2str(round(100*vel_g(max_vel))/100)),'fontweight','bold')
ylabel('u`_g (t), [m/sec]','fontweight','bold')

subplot(3,1,3)
plot(t,des_g,'linewidth',2), grid on, hold on
plot(t(max_des),des_g(max_des),'ro','linewidth',2)
text(t(max_des)+1,des_g(max_des)-.1,strcat('u_g_o = ', num2str(round(100*des_g(max_des))/100)),'fontweight','bold')
ylabel('u_g (t), [m]','fontweight','bold')
xlabel('Time, [sec]','fontweight','bold')
saveas(gcf,'quake_int','jpeg')